List all Share Tokens
GET
https://api.withpersona.com/api/v1/connect/share-tokens
Returns a list of your organization's Share Tokens. Results are returned in reverse chronological order, with the most recently created objects first.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Query parameters
pageobjectOptional
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See Serialization for more details.
filterobjectOptional
Response
This endpoint returns a collection of Share Token resources.
datalist of objects
An array of Share Tokens
linksobject
includedlist of any
Excluded from the response by default. Will be an empty array when the include query parameter in the request was explicitly set to empty.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error

